Oracle Linux 5 / 6 : libxslt (ELSA-2012-1265)

medium Nessus Plugin ID 68622

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2012:1265:

現已提供適用於 Red Hat Enterprise Linux 5 和 6 的更新版 libxslt 套件,可修正數個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有重要安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

libxslt 是用來將 XML 檔案轉換為其他文字格式 (包括 HTML、純文字,及基礎資料的其他 XML 表示) 的程式庫,使用的是標準 XSLT 樣式表轉換機制。

在 libxslt 將範本套用到特定命名空間所選的節點的方式中,發現堆積型緩衝區溢位瑕疵。攻擊者可利用此瑕疵建立惡意 XSL 檔案,當連結到 libxslt 的應用程式使用該 XSL 檔案執行 XSL 轉換時,可導致應用程式損毀,或可能利用執行該應用程式的使用者權限執行任意程式碼。
(CVE-2012-2871)

在 libxslt 中發現數個拒絕服務瑕疵。攻擊者可利用這些瑕疵建立惡意 XSL 檔案,當連結到 libxslt 的應用程式使用該 XSL 檔案執行 XSL 轉換時,可導致應用程式損毀。(CVE-2012-2825、CVE-2012-2870、CVE-2011-3970)

如果使用 libxslt 的應用程式處理未受信任的 XPath 運算式,或使用惡意 XSL 檔案以執行 XSL 轉換,可能會發生資訊洩漏。如果結合其他瑕疵,此洩漏可能會幫助攻擊者繞過預定的記憶體損毀保護。(CVE-2011-1202)

建議所有 libxslt 使用者皆升級至這些更新版套件,其中包含可解決這些問題的反向移植修補程式。所有連結到 libxslt 的執行中應用程式都必須重新啟動,才能使此更新生效。

解決方案

更新受影響的 libxslt 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2012-September/003026.html

https://oss.oracle.com/pipermail/el-errata/2012-September/003029.html

Plugin 詳細資訊

嚴重性: Medium

ID: 68622

檔案名稱: oraclelinux_ELSA-2012-1265.nasl

版本: 1.8

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:libxslt, p-cpe:/a:oracle:linux:libxslt-devel, p-cpe:/a:oracle:linux:libxslt-python, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2012/9/14

弱點發布日期: 2011/3/10

參考資訊

CVE: CVE-2011-1202, CVE-2011-3970, CVE-2012-2825, CVE-2012-2870, CVE-2012-2871, CVE-2012-2893

BID: 46785, 47668, 51911, 54203, 55331

RHSA: 2012:1265